Get the list of object records and total records count for an object.

<Note title="Enterprise access only">Custom objects are only available to Enterprise plans. This feature is in beta. These are subject to change.</Note> This API retrieves a list of object records along with their associated records and provides the total count of records for the specified object. **Note**: Contact as object type is not supported in this endpoint.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

object_typestringRequired
object type for the attribute

Query parameters

limitlongRequired0-1000
Number of records returned per page
page_numlongRequired>=1
Page number for pagination. It's used to fetch the object records on a provided page number. Must be a valid positive integer.
sortenumOptionalDefaults to desc
Sort order, must be 'asc' or 'desc'. Default to 'desc' if not provided.
Allowed values:
associationenumOptional
Whether to include associations, must be 'true' or 'false'. Default to 'false' if not provided.
Allowed values:

Response

A list of object records for an object type. If association param is set true it will return 5 associated records per association for an object type.
countlong
Total number of object records for an object type.
recordslist of objects

Errors

400
Bad Request Error
403
Forbidden Error
424
Failed Dependency Error
500
Internal Server Error